Freeciv-3.3: diplo_dlg Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes
diplo_dlg Class Reference

`#include <diplodlg.h>`

Inheritance diagram for diplo_dlg:

## Public Member Functions

| diplo_dlg (struct Treaty *ptreaty, struct player *they, struct player *initiator)
| ~diplo_dlg ()
void | reactivate ()
void | update_dlg ()
bool | init (bool raise)
diplo_wdg * | find_widget (struct player *they)
void | close_widget (struct player *they)
void | add_widget (struct Treaty *ptreaty, struct player *they, struct player *initiator)
void | make_active (struct player *party)

## Private Attributes

QMap< struct player *, diplo_wdg * > | treaty_list
int | index

## Detailed Description

Definition at line 104 of file diplodlg.h.

## Constructor & Destructor Documentation

## ◆ diplo_dlg()

diplo_dlg::diplo_dlg | ( | struct Treaty * | ptreaty,
|  | struct player * | they,
|  | struct player * | initiator
| ) |  |

Constructor for diplomacy dialog

Definition at line 784 of file diplodlg.cpp.

## ◆ ~diplo_dlg()

diplo_dlg::~diplo_dlg | ( |  | ) |

Destructor for diplomacy dialog

Definition at line 853 of file diplodlg.cpp.

## Member Function Documentation

## ◆ add_widget()

void diplo_dlg::add_widget | ( | struct Treaty * | ptreaty,
|  | struct player * | they,
|  | struct player * | initiator
| ) |  |

Creates new diplomacy widget and adds to diplomacy dialog

Definition at line 794 of file diplodlg.cpp.

Referenced by diplo_dlg().

## ◆ close_widget()

void diplo_dlg::close_widget | ( | struct player * | they | ) |

Closes given diplomacy widget

Definition at line 880 of file diplodlg.cpp.

## ◆ find_widget()

diplo_wdg * diplo_dlg::find_widget | ( | struct player * | they | ) |

Finds diplomacy widget in current dialog

Definition at line 872 of file diplodlg.cpp.

Referenced by make_active().

## ◆ init()

bool diplo_dlg::init | ( | bool | raise | ) |

Initializes some data for diplomacy dialog

Definition at line 834 of file diplodlg.cpp.

## ◆ make_active()

void diplo_dlg::make_active | ( | struct player * | party | ) |

Sets given widget as active in current dialog

Definition at line 820 of file diplodlg.cpp.

## ◆ reactivate()

void diplo_dlg::reactivate | ( |  | ) |

Existing dialog requested again.

Definition at line 910 of file diplodlg.cpp.

## ◆ update_dlg()

void diplo_dlg::update_dlg | ( |  | ) |

Updates all diplomacy widgets in current dialog

Definition at line 895 of file diplodlg.cpp.

## Field Documentation

## ◆ index

int diplo_dlg::index

private

Definition at line 123 of file diplodlg.h.

Referenced by init().

## ◆ treaty_list

QMap<struct player *, diplo_wdg *> diplo_dlg::treaty_list

private

Definition at line 107 of file diplodlg.h.

Referenced by add_widget(), close_widget(), find_widget(), update_dlg(), and ~diplo_dlg().